Skip to main content
GET
Query Return Packages

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token
Scopes1
returns.read
Grants permission to read returns.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

returnId
string<uuid>
required

The ID of the return that the packages belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested packages.

id
string<uuid>
required

Unique ID to identify a return package.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

returnId
string<uuid>
required

Unique ID to identify a return.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

trackingID
string
required

The tracking Id of the package.

shippingMethodId
string<uuid>

The shipping method.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

shippingMethodCustom
string

The custom shipping method name used for the return. This value may only be set if ShippingMethodId is not provided.